Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Class TCPIPServerMessageEndpointFactory.MyMessageEndpoint

    java.lang.Object
      com.stc.connector.tcpip.model.server.TCPIPServerMessageEndpointFactory.MyMessageEndpoint

All Implemented Interfaces:
  TCPIPServerListener, javax.resource.spi.endpoint.MessageEndpoint

Enclosing class:
  TCPIPServerMessageEndpointFactory

    public class TCPIPServerMessageEndpointFactory.MyMessageEndpoint

extends java.lang.Object
implements javax.resource.spi.endpoint.MessageEndpoint, TCPIPServerListener

This class is not a full-featured MessageEndpoint. It is ONLY used for my RA non-managed mode test.

Version:
  cvs revision: $Revision: 1.6 $ Last Modified: $Date: 2008/03/03 15:36:00 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPServerMessageEndpointFactory.MyMessageEndpoint()` Constructor for MyMessageEndpoint.

Method Summary
`void` | `afterDelivery()`
`void` | `beforeDelivery(java.lang.reflect.Method md)`
`void` | `onConnection(TCPIPServerApplicationConnection serverAppConn)` Method onConnection.
`void` | `release()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPServerMessageEndpointFactory.MyMessageEndpoint

    public TCPIPServerMessageEndpointFactory.MyMessageEndpoint()

  Constructor for MyMessageEndpoint.

Method Detail

### beforeDelivery

    public void beforeDelivery(java.lang.reflect.Method md)
                        throws java.lang.NoSuchMethodException,
                               javax.resource.ResourceException

  Specified by:
    `beforeDelivery` in interface `javax.resource.spi.endpoint.MessageEndpoint`
  Throws:
    `java.lang.NoSuchMethodException`
    `javax.resource.ResourceException`
  See Also:
    `MessageEndpoint.beforeDelivery(java.lang.reflect.Method)`

### afterDelivery

    public void afterDelivery()
                       throws javax.resource.ResourceException

  Specified by:
    `afterDelivery` in interface `javax.resource.spi.endpoint.MessageEndpoint`
  Throws:
    `javax.resource.ResourceException`
  See Also:
    `MessageEndpoint.afterDelivery()`

### release

    public void release()

  Specified by:
    `release` in interface `javax.resource.spi.endpoint.MessageEndpoint`
  See Also:
    `MessageEndpoint.release()`

### onConnection

    public void onConnection(TCPIPServerApplicationConnection serverAppConn)
                      throws TCPIPApplicationException

  Description copied from interface: `TCPIPServerListener`
  Method onConnection. The MDB will implement this method.

  Specified by:
    `onConnection` in interface `TCPIPServerListener`
  Parameters:
    `serverAppConn` - The TCPIPServerApplicationConnection instance.
  Throws:
    `TCPIPApplicationException` - upon an error
  See Also:
    `(TCPIPServerApplicationConnection)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD